<?php
/*---------------------------------------------------+
| PHP-Fusion 7 Content Management System
+----------------------------------------------------+
| Copyright  2002 - 2005 Nick Jones
| http://www.php-fusion.co.uk/
+----------------------------------------------------+
| Filename: admin.php
| Author  : olelau (Ole Lauritsen)
+----------------------------------------------------+
| Released under the terms & conditions of v2 of the
| GNU General Public License. For details refer to
| the included gpl.txt file or visit http://gnu.org
+----------------------------------------------------*/
require_once "../../maincore.php";
require_once THEMES."templates/admin_header.php";
include BASEDIR."includes/fancybox/fancybox_head.php";
include INFUSIONS."today_video/infusion_db.php";

if (!checkrights("TDV") || !defined("iAUTH") || $_GET['aid'] != iAUTH) { redirect("../index.php"); }

// Check if locale file is available matching the current site locale setting.
if (file_exists(INFUSIONS."today_video/locale/".$settings['locale'].".php")) {
	// Load the locale file matching the current site locale setting.
	include INFUSIONS."today_video/locale/".$settings['locale'].".php";
} else {
	// Load the infusion's default locale file.
	include INFUSIONS."today_video/locale/English.php";
}


$dell = (isset($_REQUEST['dell']) AND isnum($_REQUEST['dell'])) ? $_REQUEST['dell'] : "";

if(isset($dell) && isNum($dell)){
$result = dbquery("DELETE FROM ".DB_PREFIX."today_video_proposal WHERE panel_proposal_id='$dell'");
redirect(FUSION_SELF.$aidlink."&status=dp");
}

if (!isset($status)) $status ='';

if($status == "sp") { opentable($locale['tdv300']); echo "<b><center>".$locale['tdv301']."</center></b>"; closetable(); }
if($status == "dp") { opentable($locale['tdv300']); echo "<b><center>".$locale['tdv302']."</center></b>"; closetable(); }

opentable($locale['tdv320']);

$result = dbquery("SELECT * FROM ".DB_PREFIX."today_video_proposal ORDER BY panel_proposal_id DESC");
if(dbrows($result)){
echo "<center><table class='tbl-border' width='500'>
	<tr>
		<td class='tbl1'><b>".$locale['tdv321']."</b></td>
		<td class='tbl1'><b>".$locale['tdv322']."</b></td>
		<td class='tbl1'><b>".$locale['tdv323']."</b></td>
		<td class='tbl1'><b>".$locale['tdv324']."</b></td>
	</tr>";
while($data = dbarray($result)){

echo "<tr>
		<td class='tbl1'><a href='".BASEDIR."profile.php?lookup=".$data['panel_proposal_user']."'>".$data['panel_proposal_name']."</a></td>
		<td class='tbl1' width='200'>".$data['panel_proposal_massage']."</td>
		<td class='tbl1'>";

$urlprefix = !strstr($data['panel_proposal_link'], "http://") ? "http://" : "";

		echo "<a target='_blank' href='".$urlprefix.$data['panel_proposal_link']."'>".$locale['tdv323']."</a></td>

		<td class='tbl1'><a href='".FUSION_SELF.$aidlink."&dell=".$data['panel_proposal_id']."'>".$locale['tdv326']."</a></td>

</tr>";
}

echo "</table></center>";
} else {
echo "<center><b>".$locale['tdv327']."</b></center>";
}
closetable();


$del = (isset($_REQUEST['del']) AND isnum($_REQUEST['del'])) ? $_REQUEST['del'] : "";

if(isset($del) && isNum($del)){
$result = dbquery("DELETE FROM ".DB_TODAY_VIDEO." WHERE panel_video_id='$del'");
redirect(FUSION_SELF.$aidlink."&status=dm");
}

if (isset($_POST['update_video'])) {

$panel_video_title = $_POST['panel_video_title'];
$panel_video_image = $_POST['panel_video_image'];
$panel_video_embed = $_POST['panel_video_embed'];
$result = dbquery("UPDATE ".DB_TODAY_VIDEO." SET panel_video_image='$panel_video_image', panel_video_embed='$panel_video_embed', panel_video_title='$panel_video_title' WHERE panel_video_id='$panel_video_id'");
redirect(FUSION_SELF.$aidlink."&status=sm");

} else if (isset($_POST['add_video'])) {

if(!empty($_POST['panel_video_embed'])){
$panel_video_title = stripinput($_POST['panel_video_title']);
$panel_video_image = stripinput($_POST['panel_video_image']);
$panel_video_embed = $_POST['panel_video_embed'];
$result = dbquery("INSERT INTO ".DB_TODAY_VIDEO." (panel_video_title, panel_video_embed, panel_video_image) VALUES('$panel_video_title', '$panel_video_embed', '$panel_video_image')");
redirect(FUSION_SELF.$aidlink."&status=um");
}

}



if (!isset($status)) $status ='';


if($status == "um") { opentable($locale['tdv200']); echo "<b><center>".$locale['tdv201']."</center></b>"; closetable(); }
if($status == "dm") { opentable($locale['tdv200']); echo "<b><center>".$locale['tdv202']."</center></b>"; closetable(); }

if($status == "sm") { opentable($locale['tdv200']); echo "<b><center>".$locale['tdv203']."</center></b>"; closetable(); }



$edit = (isset($_REQUEST['edit']) AND isnum($_REQUEST['edit'])) ? $_REQUEST['edit'] : "";

if(isset($edit) && isNum($edit)){
$result = dbquery("SELECT * FROM ".DB_TODAY_VIDEO." WHERE panel_video_id='$edit'");
while($data = dbarray($result)){

opentable($locale['tdv210']);

echo "<form action='".FUSION_SELF.$aidlink."' method='post'>
<table width='450'>

	<tr>

		<td>ID :</td>

		<td><input type='text' name='panel_video_id' style='width:225px;' value='".$data['panel_video_id']."' readonly /></td>
	
        </tr>
        <tr>
		<td>".$locale['tdv212']."</td>
		<td><input type='text' name='panel_video_title' style='width:225px;' value='".$data['panel_video_title']."' /></td>
	</tr>



	<tr>
		<td>".$locale['tdv211']."</td>
		<td><input type='text' name='panel_video_image' style='width:225px;' value='".$data['panel_video_image']."' /></td>
	</tr>
	
	<tr>
		<td>".$locale['tdv213']."</td>
		<td><textarea name='panel_video_embed' class='textbox' style='width:225px;'>".$data['panel_video_embed']."</textarea></td>
	</tr>

	<tr>
		<td>&nbsp;</td>
		<td><input type='submit' class='button' name='update_video' value='".$locale['tdv215']."' /></td>
	</tr>
</table>
</form>";



}

} else {


opentable($locale['tdv214']);

echo "<form action='".FUSION_SELF.$aidlink."' method='post'>
<table width='450'>
        <tr>
		<td>".$locale['tdv212']."</td>
		<td><input type='text' name='panel_video_title' style='width:225px;' /></td>
	</tr>
	<tr>
		<td>".$locale['tdv211']."</td>
		<td><input type='text' name='panel_video_image' style='width:225px;' /></td>
	</tr>
	
	<tr>
		<td>".$locale['tdv213']."</td>
		<td><textarea name='panel_video_embed' class='textbox' style='width:225px;'></textarea></td>
	</tr>
	<tr>
		<td>&nbsp;</td>
		<td><input type='submit' class='button' name='add_video' value='".$locale['tdv216']."' /></td>
	</tr>
</table>
</form>";
}

closetable();



opentable($locale['tdv220']);
$result = dbquery("SELECT * FROM ".DB_TODAY_VIDEO." ORDER BY panel_video_id DESC");
if(dbrows($result)){

echo "<center><table class='tbl-border' width='98%'>
	<tr>
		<td class='tbl1' align='center'><b>".$locale['tdv221']."</b></td>
                <td class='tbl1' align='center'><b>".$locale['tdv222']."</b></td>
		<td class='tbl1' align='center'><b>".$locale['tdv224']."</b></td>
	</tr></table></center>";
echo"<div style=' height:320px; overflow:auto;'>";
while($data = dbarray($result)){

echo "<center><table class='tbl-border' width='500'><tr>
		<td class='tbl1' width='180'><b>".trimlink($data['panel_video_title'], 25)."</b><br /><a class='fancybox' id='inline' title='".trimlink($data['panel_video_title'], 50)."' href='#".$data['panel_video_id']."'><img src='".$data['panel_video_image']."' alt='".$data['panel_video_image']."' width='120px' height='90px' /></a></td>
                <td class='tbl1' align='center'><a class='fancybox' id='inline' title='".trimlink($data['panel_video_title'], 50)."' href='#".$data['panel_video_id']."'>".$locale['tdv223']."</a></td>
		<div style='display: none;' align='center' valign='middle' id='".$data['panel_video_id']."'>


".$data['panel_video_embed']."


</div>
		
		<td class='tbl1' align='center'><a href='".FUSION_SELF.$aidlink."&edit=".$data['panel_video_id']."'>".$locale['tdv225']."</a> | <a href='".FUSION_SELF.$aidlink."&del=".$data['panel_video_id']."'>".$locale['tdv226']."</a></td>

</tr>";

}
echo "</table></center>";
echo"</div>";
} else {
echo "<center><b>".$locale['tdv227']."</b></center>";
}
closetable();

echo "</td>\n";
require_once THEMES."templates/footer.php";
?>