<?php
/*---------------------------------------------------+
| PHP-Fusion 6 Content Management System
+----------------------------------------------------+
| Copyright  2002 - 2005 Nick Jones
| http://www.php-fusion.co.uk/
+----------------------------------------------------+
| Released under the terms & conditions of v2 of the
| GNU General Public License. For details refer to
| the included gpl.txt file or visit http://gnu.org
+----------------------------------------------------*/
if (!defined("IN_FUSION")) { die("Access Denied"); }
include INFUSIONS."today_video/infusion_db.php";

// Check if locale file is available matching the current site locale setting.
if (file_exists(INFUSIONS."today_video/locale/".$settings['locale'].".php")) {
	// Load the locale file matching the current site locale setting.
	include INFUSIONS."today_video/locale/".$settings['locale'].".php";
} else {
	// Load the infusion's default locale file.
	include INFUSIONS."today_video/locale/English.php";
}



// Infusion general information
$inf_title = "Today video";
$inf_description = "A panel with fancybox display today video.";
$inf_version = "2.0";
$inf_developer = "olelau";
$inf_email = "ole.l@hgs.dk";
$inf_weburl = "http://www.phpfusion-freak.dk/";

$inf_folder = "today_video"; // The folder in which the infusion resides.


$inf_link_name = ""; // if not required replace $locale['xxx102']; with "";
$inf_link_url = ""; // The filename you wish to link to.
$inf_link_visibility = "0"; // 0 - Guest / 101 - Member / 102 - Admin / 103 - Super Admin.

$inf_newtables = 2; // Number of new db tables to create or drop.
$inf_insertdbrows = 0; // Numbers rows added into created db tables.
$inf_altertables = 0; // Number of db tables to alter (upgrade).
$inf_deldbrows = 0; // Number of db tables to delete data from.

// Delete any items not required here.
$inf_newtable[1] = DB_TODAY_VIDEO." (
panel_video_id INT(11) UNSIGNED NOT NULL AUTO_INCREMENT,
panel_video_title text NOT NULL,
panel_video_image VARCHAR(200) NOT NULL,
panel_video_embed text NOT NULL,
PRIMARY KEY (panel_video_id)
) TYPE=MyISAM;";

$inf_newtable[2] = DB_TODAY_VIDEO_PROPOSAL." (
panel_proposal_id INT(11) UNSIGNED NOT NULL AUTO_INCREMENT,
panel_proposal_link VARCHAR(200) NOT NULL,
panel_proposal_user MEDIUMINT(8) UNSIGNED DEFAULT '0' NOT NULL,
panel_proposal_name VARCHAR(30) NOT NULL DEFAULT '',
panel_proposal_massage text NOT NULL,
PRIMARY KEY (panel_proposal_id)
) TYPE=MyISAM;";

$inf_droptable[1] = DB_TODAY_VIDEO;
$inf_droptable[2] = DB_TODAY_VIDEO_PROPOSAL;

$inf_adminpanel[1] = array(
	"title" => "Today video",
	"image" => "video.gif",
	"panel" => "admin.php",
	"rights" => "TDV"
);

?>